aboutsummaryrefslogtreecommitdiff
path: root/Tools
diff options
context:
space:
mode:
authorBryan Drewery <bdrewery@FreeBSD.org>2017-06-12 17:31:56 +0000
committerBryan Drewery <bdrewery@FreeBSD.org>2017-06-12 17:31:56 +0000
commit5bb2bd091b1544029bacdd9865882212ce337c22 (patch)
tree15ce78cd6fb43641a84d70da69c0c950e4d6a443 /Tools
parentda417df6e1b02d873f01f6e82b6e711ebb3bc78e (diff)
downloadports-5bb2bd091b1544029bacdd9865882212ce337c22.tar.gz
ports-5bb2bd091b1544029bacdd9865882212ce337c22.zip
Allow editing commit message on failure and save it somewhere if declined.
With hat: portmgr
Notes
Notes: svn path=/head/; revision=443456
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/scripts/mfh9
1 files changed, 8 insertions, 1 deletions
diff --git a/Tools/scripts/mfh b/Tools/scripts/mfh
index a10182bf8fcc..c77a7d03aa8c 100755
--- a/Tools/scripts/mfh
+++ b/Tools/scripts/mfh
@@ -147,6 +147,13 @@ ask "Do you want to commit? (no = start a shell)" || (
echo >> commit.txt
echo "Approved by: " >> commit.txt
${EDITOR:-vi} commit.txt
-"${svn}" ci -F commit.txt "${branch}"
+while ! "${svn}" ci -F commit.txt "${branch}"; do
+ if ! ask "Commit failed. Re-edit message and try again?"; then
+ save_log="$(mktemp -t mfh)"
+ cp -f commit.txt "${save_log}"
+ echo "Saving commit log to ${save_log}"
+ break
+ fi
+done
rm -rf "${dir}"
trap - 0